The device number of SATA SB700 is 0x11, while the one of SB600 is 0x12.
We changed almost associated code when we ported but overlooked some.
Some legacy of SB600 are also fixed.

Signed-off-by: Zheng Bao <zheng.bao@amd.com>



Index: src/mainboard/amd/mahogany/dsdt.asl
===================================================================
--- src/mainboard/amd/mahogany/dsdt.asl	(revision 5485)
+++ src/mainboard/amd/mahogany/dsdt.asl	(working copy)
@@ -271,7 +271,7 @@
 			 * ((bus number + 1) * ((device number * 8) * 4096)) + register offset
 			 * The 8 comes from 8 functions per device, and 4096 bytes per function config space
 			*/
-			Offset(0x00090024),	/* Byte offset to SATA register 24h - Bus 0, Device 18, Function 0 */
+			Offset(0x00088024),	/* Byte offset to SATA register 24h - Bus 0, Device 18, Function 0 */
 			STB5, 32,
 			Offset(0x00098042),	/* Byte offset to OHCI0 register 42h - Bus 0, Device 19, Function 0 */
 			PT0D, 1,
@@ -1447,7 +1447,7 @@
 				Store (0x02, SIOD)
 			}
 			/*
-			 * Keyboard PME is routed to SB600 Gevent3. We can wake
+			 * Keyboard PME is routed to SB700 Gevent3. We can wake
 			 * up the system by pressing the key.
 			 */
 			Method (SIOS, 1)
Index: src/mainboard/amd/mahogany/acpi/sata.asl
===================================================================
--- src/mainboard/amd/mahogany/acpi/sata.asl	(revision 5485)
+++ src/mainboard/amd/mahogany/acpi/sata.asl	(working copy)
@@ -23,7 +23,7 @@
 Scope (_SB) {
 	Device(PCI0) {
 		Device(SATA) {
-			Name(_ADR, 0x00120000)
+			Name(_ADR, 0x00110000)
 			#include "sata.asl"
 		}
 	}
Index: src/mainboard/amd/mahogany_fam10/dsdt.asl
===================================================================
--- src/mainboard/amd/mahogany_fam10/dsdt.asl	(revision 5485)
+++ src/mainboard/amd/mahogany_fam10/dsdt.asl	(working copy)
@@ -313,7 +313,7 @@
 			 * ((bus number + 1) * ((device number * 8) * 4096)) + register offset
 			 * The 8 comes from 8 functions per device, and 4096 bytes per function config space
 			*/
-			Offset(0x00090024),	/* Byte offset to SATA register 24h - Bus 0, Device 18, Function 0 */
+			Offset(0x00088024),	/* Byte offset to SATA register 24h - Bus 0, Device 18, Function 0 */
 			STB5, 32,
 			Offset(0x00098042),	/* Byte offset to OHCI0 register 42h - Bus 0, Device 19, Function 0 */
 			PT0D, 1,
@@ -1489,7 +1489,7 @@
 				Store (0x02, SIOD)
 			}
 			/*
-			 * Keyboard PME is routed to SB600 Gevent3. We can wake
+			 * Keyboard PME is routed to SB700 Gevent3. We can wake
 			 * up the system by pressing the key.
 			 */
 			Method (SIOS, 1)
Index: src/mainboard/amd/mahogany_fam10/acpi/sata.asl
===================================================================
--- src/mainboard/amd/mahogany_fam10/acpi/sata.asl	(revision 5485)
+++ src/mainboard/amd/mahogany_fam10/acpi/sata.asl	(working copy)
@@ -23,7 +23,7 @@
 Scope (_SB) {
 	Device(PCI0) {
 		Device(SATA) {
-			Name(_ADR, 0x00120000)
+			Name(_ADR, 0x00110000)
 			#include "sata.asl"
 		}
 	}
Index: src/mainboard/amd/tilapia_fam10/acpi/sata.asl
===================================================================
--- src/mainboard/amd/tilapia_fam10/acpi/sata.asl	(revision 5485)
+++ src/mainboard/amd/tilapia_fam10/acpi/sata.asl	(working copy)
@@ -23,7 +23,7 @@
 Scope (_SB) {
 	Device(PCI0) {
 		Device(SATA) {
-			Name(_ADR, 0x00120000)
+			Name(_ADR, 0x00110000)
 			#include "sata.asl"
 		}
 	}
Index: src/mainboard/amd/tilapia_fam10/dsdt.asl
===================================================================
--- src/mainboard/amd/tilapia_fam10/dsdt.asl	(revision 5485)
+++ src/mainboard/amd/tilapia_fam10/dsdt.asl	(working copy)
@@ -313,7 +313,7 @@
 			 * ((bus number + 1) * ((device number * 8) * 4096)) + register offset
 			 * The 8 comes from 8 functions per device, and 4096 bytes per function config space
 			*/
-			Offset(0x00090024),	/* Byte offset to SATA register 24h - Bus 0, Device 18, Function 0 */
+			Offset(0x00088024),	/* Byte offset to SATA register 24h - Bus 0, Device 18, Function 0 */
 			STB5, 32,
 			Offset(0x00098042),	/* Byte offset to OHCI0 register 42h - Bus 0, Device 19, Function 0 */
 			PT0D, 1,
@@ -1489,7 +1489,7 @@
 				Store (0x02, SIOD)
 			}
 			/*
-			 * Keyboard PME is routed to SB600 Gevent3. We can wake
+			 * Keyboard PME is routed to SB700 Gevent3. We can wake
 			 * up the system by pressing the key.
 			 */
 			Method (SIOS, 1)
